<?php

namespace App\Service\Miniprogram\Wechat;

use App\Service\Util\Support\Http\WechatURL;
use App\Services\Util\Support\Http\HttpRequestService;
use GuzzleHttp\Client;

class AccessTokenService
{
    public static function getAccessToken($appid, $secret) {
        return HttpRequestService::simpleGet(WechatURL::access_token, ['grant_type' => 'client_credential',
            'appid' => $appid, 'secret' => $secret]);
    }

    public static function getAccessTokenRedisKey($appid) {
        return 'dj.miniWechat.at.' . $appid;
    }
}
